Kukhonjiswa imibuzo ethegiwe: Veza yonke imibuzo
  • Kusonjululiwe
  • Okugcinwe kunqolobane

Maybe a dub question

I have been circling around the Internet to find info about Firefox for IPad Gives impression it is available but cannot find a download? A simple question please is it a… (funda kabanzi)

I have been circling around the Internet to find info about Firefox for IPad Gives impression it is available but cannot find a download? A simple question please is it available at of August 15 2013? Thank you in advance for a straightforward answer

Asked by ArchieA 7 iminyaka edlule

Answered by philipp 7 iminyaka edlule

  • Kusonjululiwe
  • Okugcinwe kunqolobane

firefox mobile not supported for lg optimus zip

Hello, I recently switched over to straight talk and was sad to find out that firefox mobile is not supported for the lg optimus zip. I hope in the future that will chang… (funda kabanzi)

Hello, I recently switched over to straight talk and was sad to find out that firefox mobile is not supported for the lg optimus zip. I hope in the future that will change.

Asked by moon_serenity 7 iminyaka edlule

Answered by philipp 7 iminyaka edlule

  • Kusonjululiwe
  • Okugcinwe kunqolobane

logging in issues

tryimg to log in. am told that password and username is ok. tried many times to put in captcha phrase. keeps refusing captcha even when correct. any other way to log on?… (funda kabanzi)

tryimg to log in. am told that password and username is ok. tried many times to put in captcha phrase. keeps refusing captcha even when correct. any other way to log on?

Asked by Bettyboophume 7 iminyaka edlule

Answered by kobe 7 iminyaka edlule

  • Kusonjululiwe
  • Okugcinwe kunqolobane

Now my device is not supported but earlier it used to run.

I want to ask that with earlier version of mozilla it used to run on my htc explorer a310e android 2.3 gingerbread. But now it is showing that device isn't compatible why… (funda kabanzi)

I want to ask that with earlier version of mozilla it used to run on my htc explorer a310e android 2.3 gingerbread. But now it is showing that device isn't compatible why??? Thank you and try to make it compatible for gingerbread too.

Asked by xtream98 7 iminyaka edlule

Answered by jscher2000 7 iminyaka edlule